#Front-End Parts Kit

The front-end parts kit is a template and format for planning, documenting and testing front-end components.

## What does it do? ##

* Provides a centralized point of documentation for front-end components and naming conventions.
* It allows individual components to be tested location and dimension independence.

## Why use it? ##

For projects where you're handing off a set of buildout files to your client's web team for cms integration, the documentation aspect of the parts kit is invaluable. Developing a parts kit from the start also means no extra time needs to be spend assembling any documentation for project hand-off.

For other projects where your team has end-to-end control, the parts kit provides the entire team with centralized documentation for how the site's various components should look and function. It also allows someone new to a project to be able to get up and running quickly and efficiently.

## Instructions ##

1. Add partskit.css to your project's css directory and add partskit.html to a build directory (eg: /assets/build).
2. Add project stylesheets to partskit.html. Be sure to update the path to partskit.css to point to your project's css directory.
3. Add project JavaScript assets to partskit.html.
4. Start adding, documenting and testing your front-end components!

## Todo ##

- Add code block styling and examples.