/*! =========================================================
 * main application javascript
 * ========================================================== */

var EX1 = EX1 || {};

EX1.common = {
	init: function() {
		// init twipsys
		$('a[rel=twipsy]').twipsy({ live: true });
		
		// if there are any generic rotators
		EX1.rotators.init();
		
		// if the browser is IE
		$('.ie').length ? EX1.ie.init() : null;
	}
}

EX1.delayed = {
	init: function() {
		$('.how-stolen li, #cta .container div').equalHeights();
	}
}

EX1.ie = {
    init: function() {
        var _this = this;
        
        $('.lte8').length ? _this.fixIE8() : null;
    },
    fixIE8: function() {
        $('.zebra-striped').each(function() {
		    $(this).find('tr:odd').addClass('odd');
		});
    }
}

EX1.rotators = {
	init: function() {
		// generic rotators - multiple per page
		$('.rotator').each(function() {
			var $el = $(this);
				
			$el
				.after('<div class="rotator-nav" />')
				.cycle({
				 	speed: 'fast',
				 	timeout: 0,
				 	pager: $('.rotator-nav', $el.parent())
				});
		});
	}
}

EX1.util = {
	exec: function(section, page) {
		var ns = EX1,
			pg = (page === undefined) ? 'init' : page;
		
		if (section !== '' && ns[section] && typeof ns[section][pg] == 'function') {
			ns[section][pg]();
		}
	},
	init: function() {
		var $body = $('body'),
			section = $body.data('section'),
			page = $body.data('page');
		
		EX1.util.exec('common');
		EX1.util.exec(section, page);
	}
};

$(document).ready(EX1.util.init);
$(window).load(EX1.delayed.init);

window.log = function() {
	log.history = log.history || [];
	log.history.push(arguments);
	if(this.console) {
		arguments.callee = arguments.callee.caller;
		var newarr = [].slice.call(arguments);
		(typeof console.log === 'object' ? log.apply.call(console.log, console, newarr) : console.log.apply(console, newarr));
	}
};
